[Unit]
Description=Flutter App Service
After=network.target
StartLimitIntervalSec=0

Requires=systemd-user-sessions.service
After=systemd-user-sessions.service

After=plymouth-quit-wait.service

Wants=dbus.socket
After=dbus.socket

Before=graphical.target

ConditionPathExists=/dev/tty0

[Service]
Type=simple
Restart=always
RestartSec=1
ExecStart=/usr/bin/cage /usr/local/bin/flutter-auto-launch

User=user1
Group=user1

WorkingDirectory=/home/user1

PAMName=login

TTYPath=/dev/tty7
TTYReset=yes
TTYVHangup=yes
TTYTDisallocate=yes

StandardInput=tty-fail
StandardOutput=journal
StandardError=journal

UtmpIdentifier=tty7
UtmpMode=user

[Install]
WantedBy=multi-user.target